> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/live-event-types/round-events-sportevent.md).

# Round Events (SportEvent)

### Overview

Round events mark the start and end of the current round context.

{% hint style="info" %}
`sr_group_id` and `group_number` are present only for stroke play tournaments.
{% endhint %}

#### Sport Event Started

IMGA equivalent: `Round Started`

{% code title="Event.Sport.Golf.SportEventStarted" overflow="wrap" expandable="true" %}

```json
{
  "data": {
    "type": "Event.Sport.Golf.SportEventStarted",
    "payload": {
      "event_time": "2026-04-24T11:09:15.267Z",
      "course_id": 42178,
      "sr_group_id": "sr:group_match:12345",
      "group_number": 2,
      "hole_number": 3,
      "hole_sequence": 1,
      "round_number": 1,
      "team_id": 12345,
      "players": [
        {
          "country": "FRA",
          "display_name": "Benjamin Hebert",
          "first_name": "Benjamin",
          "last_name": "Hebert",
          "gender": "male",
          "player_id": 104,
          "sr_player_id": "sr:competitor:104",
          "is_amateur": false
        }
      ]
    }
  }
}
```

{% endcode %}

| **Name**                 | **Type**           | **Description**                   | **Required** | **Old IMGA API equivalent** |
| ------------------------ | ------------------ | --------------------------------- | ------------ | --------------------------- |
| `event_time`             | String (date-time) | Time when the event occurred.     | Yes          | `timestamp`                 |
| `course_id`              | Integer            | Numeric course identifier.        | Yes          | `courseId`                  |
| `sr_group_id`            | String             | SR group identifier.              | No           | -                           |
| `group_number`           | Integer            | Group number.                     | No           | `groupNo`                   |
| `hole_number`            | Integer            | Current hole number.              | Yes          | `holeNo`                    |
| `hole_sequence`          | Integer            | Hole order on the course.         | Yes          | `holeOrder`                 |
| `round_number`           | Integer            | Round number.                     | Yes          | `roundNo`                   |
| `team_id`                | Integer            | Numeric team identifier.          | Yes          | `teamNo`                    |
| `players`                | Array              | Players in the team or group.     | Yes          | `players`                   |
| `players[].country`      | String             | Three-letter country code.        | Yes          | `country`                   |
| `players[].display_name` | String             | Full display name.                | Yes          | `displayName`               |
| `players[].first_name`   | String             | First name.                       | Yes          | `firstName`                 |
| `players[].last_name`    | String             | Last name.                        | Yes          | `lastName`                  |
| `players[].gender`       | String             | Player gender.                    | Yes          | `gender`                    |
| `players[].player_id`    | Integer            | Numeric player identifier.        | Yes          | `id`                        |
| `players[].sr_player_id` | String             | SR player identifier.             | Yes          | -                           |
| `players[].is_amateur`   | Boolean            | Whether the player is an amateur. | Yes          | `isAmateur`                 |

#### Sport Event Ended

IMGA equivalent: `Round Finished`

{% code title="Event.Sport.Golf.RoundEnded" overflow="wrap" expandable="true" %}

```json
{
  "data": {
    "type": "Event.Sport.Golf.SportEventEnded",
    "payload": {
      "event_time": "2026-04-24T11:09:15.267Z",
      "course_id": 42178,
      "sr_group_id": "sr:group_match:12345",
      "group_number": 2,
      "hole_number": 18,
      "hole_sequence": 18,
      "round_number": 1,
      "team_id": 12345,
      "sr_team_id": "sr:competitor:12345"
    }
  }
}
```

{% endcode %}

| **Name**        | **Type**           | **Description**            | **Required** | **Old IMGA API equivalent** |
| --------------- | ------------------ | -------------------------- | ------------ | --------------------------- |
| `event_time`    | String (date-time) | Time when the event ended. | Yes          | `timestamp`                 |
| `course_id`     | Integer            | Numeric course identifier. | Yes          | `courseId`                  |
| `sr_group_id`   | String             | SR group identifier.       | No           | -                           |
| `group_number`  | Integer            | Group number.              | No           | `groupNo`                   |
| `hole_number`   | Integer            | Final hole number.         | Yes          | `holeNo`                    |
| `hole_sequence` | Integer            | Final hole order.          | Yes          | `holeOrder`                 |
| `round_number`  | Integer            | Round number.              | Yes          | `roundNo`                   |
| `team_id`       | Integer            | Numeric team identifier.   | Yes          | `teamNo`                    |
| `sr_team_id`    | String             | SR team identifier.        | Yes          | -                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/live-event-types/round-events-sportevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
